accumulo-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ktur...@apache.org
Subject [accumulo] branch master updated: Verifying whether JAVA_HOME is set or not (#772)
Date Tue, 27 Nov 2018 17:43:39 GMT
This is an automated email from the ASF dual-hosted git repository.

kturner pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/accumulo.git


The following commit(s) were added to refs/heads/master by this push:
     new def6592  Verifying whether JAVA_HOME is set or not (#772)
def6592 is described below

commit def65929a8b6e33a6b06906911dc02239247c881
Author: Sumanth <sumanth.d07@gmail.com>
AuthorDate: Tue Nov 27 23:13:35 2018 +0530

    Verifying whether JAVA_HOME is set or not (#772)
---
 start/src/test/shell/makeHelloWorldJars.sh | 4 ++++
 start/src/test/shell/makeTestJars.sh       | 4 ++++
 2 files changed, 8 insertions(+)

diff --git a/start/src/test/shell/makeHelloWorldJars.sh b/start/src/test/shell/makeHelloWorldJars.sh
index 9f4a990..83cf797 100755
--- a/start/src/test/shell/makeHelloWorldJars.sh
+++ b/start/src/test/shell/makeHelloWorldJars.sh
@@ -15,6 +15,10 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+if [ -z "$JAVA_HOME" ]; then
+   echo "JAVA_HOME is not set. Java is required to proceed"
+   exit 1
+fi
 mkdir -p target/generated-sources/HelloWorld/test
 sed "s/%%/Hello World\!/" < src/test/java/test/HelloWorldTemplate > target/generated-sources/HelloWorld/test/HelloWorld.java
 $JAVA_HOME/bin/javac target/generated-sources/HelloWorld/test/HelloWorld.java -d target/generated-sources/HelloWorld
diff --git a/start/src/test/shell/makeTestJars.sh b/start/src/test/shell/makeTestJars.sh
index d4dc9fc..8f7efdf 100755
--- a/start/src/test/shell/makeTestJars.sh
+++ b/start/src/test/shell/makeTestJars.sh
@@ -14,6 +14,10 @@
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License.
+if [ -z "$JAVA_HOME" ]; then
+   echo "JAVA_HOME is not set. Java is required to proceed"
+   exit 1
+fi
 
 for x in A B C
 do


Mime
View raw message